ome-qtwidgets 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ome::qtwidgets::GLContainer Class Reference

GL window container. More...

`#include <ome/qtwidgets/GLContainer.h>`

Inheritance diagram for ome::qtwidgets::GLContainer:
[legend]
Collaboration diagram for ome::qtwidgets::GLContainer:
[legend]

## Public Member Functions
| GLContainer (QWidget *parent=0, QWindow *window=0)
| Create a window container. More...
| ~GLContainer ()
| Destructor.
QWindow * | getWindow () const
| Get contained GL window. More...
QWidget * | getContainer () const
| Get child GL window container. More...

## Private Attributes
QWindow * | window
| GL window.
QWidget * | child
| Child containing the GL window.

## Detailed Description

GL window container.

A Qt GL window is an entire top-level window. If this is to be placed in a standard application window, it requires embedding in a widget. This widget serves to embed a GL window as a regular widget.

This may be used to embed any top-level window, not just GL windows. However, there's rarely any point for non-GL windows since you can just contain their content directly.

## Constructor & Destructor Documentation

ome::qtwidgets::GLContainer::GLContainer | ( | QWidget * | parent = `0`,
|  | QWindow * | window = `0`
| ) |  |
| explicit

Create a window container.

Parameters

  parent | the parent of this object.
  window | the GL window to embed.

References child.

## Member Function Documentation

QWidget * ome::qtwidgets::GLContainer::getContainer | ( |  | ) | const

Get child GL window container.

Returns
  the container.

References child.

QWindow * ome::qtwidgets::GLContainer::getWindow | ( |  | ) | const

Get contained GL window.

Returns
  the GL window.

References window.

The documentation for this class was generated from the following files:

- ome/qtwidgets/GLContainer.h
- ome/qtwidgets/GLContainer.cpp